Sample Aid
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Logic 7 & earlier logic 7.2.3 compatible with snow leopard?

Discussion in 'Logic 7 and older Versions' started by tijn2001, Mar 13, 2010.

  1. tijn2001

    tijn2001 New Member

    i'm currently using logic 7.2.3 with a 15 inch macbook, 1.83 GHz intel core duo processor and 2 GB RAM. uprading very soon (next week) to a Mac Pro quad core 2.66 GHz with 3 GB RAM (will probably upgrade to 8 GB as i'm running some big plugins like PLAY with East-West Symphony Gold).

    my logic 7 version is an academic version and i believe that means it can't be upgraded. will logic 7.2.3 work on snow leopard or am i going to be forced to figure out a way to upgrade or even worse buy an entirely new logic software package?

    thanks!
     
  2.  
  3. Markdvc

    Markdvc Administrator Staff Member

    I occasionally open Logic Pro 7.2.3 here in OSX 10.6.2. It does launch, it can open logic projects, but as I am using it for nothing more than accessing and converting pre-logic 5 files, I can't report in any detail as to whether there may be problems using it for real work. Bear in mind, Apple stated that Logic 8 was not tested in Snow Leopard, so it is a very safe assumption that Logic 7 will also not have been tested.

    kind regards

    Mark
     
  4. KellerKnabe

    KellerKnabe New Member

    I think it's the most important feature of L7 under SL, to convert pre Logic 5 Songs ...
    But for me, another important question is, whether Logic can be installed on SL. In your case, Mark, I believe, you made simply an OS update "over" an installed L7 on Leopard?

    Best,
    Udo
     
  5. Markdvc

    Markdvc Administrator Staff Member

    Hi Udo

    Indeed I did, I had L7.2.3 installed in 10.5.8, and updated that to SL.

    kind regards

    Mark
     
  6. KellerKnabe

    KellerKnabe New Member

    TNX, Mark:)
    So did somebody here install Logic 7.2.3 direct on SL?
     
  7. Jonathan Stapleton

    Jonathan Stapleton New Member

    This is rather an old thread now, but as I may have found a solution that may help one or two, I thought I'd share it.

    Firstly, I have both Logic 9.1.6 and Logic 8 already installed, and found it impossible to install Logic 7.2 from my original install disk (I went straight to Logic 8 when I bought my MacPro back in 2008, rather than doing a fresh install of Logic 7 and upgrading). I tried moving all my up-to-date versions of Logic into a differently named folder outside of the Applications folder, but still no joy.

    More in hope than expectation, I used Pacifist to isolate the Logic 7.2 app (entitled simply 'Logic Pro') on the install disk, and simply dragged it into my Applications folder. I then attempted to open it. 3rd party AUs were rescanned. After opening and then quitting, I got the latest versions (7.2.1 and 7.2.3) via Software update. Opening 7.2.3 made the AU scan process repeat, but eventually opened fine. I successfully opened an old song recorded in Logic 4.8 (which was the whole purpose).

    After saving and quitting, I renamed 'Logic Pro' as 'Logic Pro 7' and returned all the newer versions to the Applications folder. All appears to be working normally.

    It seems a shame, although I guess understandable from a logistics point of view, that Apple doesn't offer a low-priced (or free?) download of just the 7.2.3 app (which is less than 300Mb) for licensed users, as it runs just fine on modern machines, and doesn't seem to tough on machine resources either. Graphics look dreadful compared to nowadays, mind.
     

Share This Page